classification
Title: document Popen.args attribute
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: akira, docs@python, gregory.p.smith, pitrou, python-dev
Priority: normal Keywords: patch

Created on 2014-04-26 03:02 by akira, last changed 2014-04-29 18:35 by gregory.p.smith. This issue is now closed.

Files
File name Uploaded Description Edit
docs-subprocess-document_Popen_args_attribute.patch akira, 2014-04-26 03:02 review
Messages (4)
msg217183 - (view) Author: Akira Li (akira) * Date: 2014-04-26 03:02
It is convenient to have Popen.args available. Especially when dealing 
with multiple processes e.g., to log failures mentioning the command
that was used to spawn the child process.

subprocess module itself uses it while raising CalledProcessError or TimeoutExpired exceptions.

The documentation patch is attached.
msg217431 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-04-28 22:24
Gregory, do you think this is ok to document?
msg217536 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-04-29 18:34
New changeset 0a4b211b927e by Gregory P. Smith in branch '3.3':
Document the subprocess Popen.args attribute (issue21353)
http://hg.python.org/cpython/rev/0a4b211b927e

New changeset 182b869283a5 by Gregory P. Smith in branch '3.4':
Document the subprocess Popen.args attribute (issue21353)
http://hg.python.org/cpython/rev/182b869283a5

New changeset 0b2e199ad088 by Gregory P. Smith in branch 'default':
Document the subprocess Popen.args attribute (issue21353)
http://hg.python.org/cpython/rev/0b2e199ad088
msg217537 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2014-04-29 18:35
yes. this was overlooked. thanks!
History
Date User Action Args
2014-04-29 18:35:05gregory.p.smithsetstatus: open -> closed
resolution: fixed
messages: + msg217537

stage: patch review -> resolved
2014-04-29 18:34:25python-devsetnosy: + python-dev
messages: + msg217536
2014-04-28 22:24:24pitrousetversions: - Python 3.3
nosy: + gregory.p.smith, pitrou

messages: + msg217431

stage: patch review
2014-04-26 03:02:53akiracreate